Bug 34758 - TD width in precentage doesn't work.
Summary: TD width in precentage doesn't work.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tables (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Julien Chaffraix
URL:
Keywords: HasReduction
Depends on:
Blocks:
 
Reported: 2010-02-09 08:55 PST by Dimitriy
Modified: 2011-12-05 13:39 PST (History)
3 users (show)

See Also:


Attachments
Safari and google chrome (167.13 KB, image/jpeg)
2010-02-09 08:55 PST, Dimitriy
no flags Details
Reduced test case, may be reduced more but it shows the problem (909 bytes, text/html)
2011-11-18 15:02 PST, Julien Chaffraix
no flags Details
WIP: Fixes the bug, missing some expectations update or rebaseline and the test case. (533.02 KB, patch)
2011-11-19 18:14 PST, Julien Chaffraix
no flags Details | Formatted Diff | Diff
WIP2: Now skipping properly and with the test case, missing baseline. (536.47 KB, patch)
2011-11-28 10:54 PST, Julien Chaffraix
no flags Details | Formatted Diff | Diff
Proposed change 1: code change + test case modified for DRT (617.73 KB, patch)
2011-11-28 11:56 PST, Julien Chaffraix
no flags Details | Formatted Diff | Diff
Proposed change 2: Update Chromium Linux baseline (did not do that properly). (734.42 KB, patch)
2011-11-28 15:10 PST, Julien Chaffraix
no flags Details | Formatted Diff | Diff
Patch for landing (734.44 KB, patch)
2011-12-05 12:51 PST, Julien Chaffraix
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitriy 2010-02-09 08:55:07 PST
Created attachment 48422 [details]
Safari and google chrome

I tried to set width in TD in precents (in HTML and in CSS), but it doesn't works(In newest Safari and google chrome), or works unnormal. In other browsers it works as i need.

There it is
HTML:
<table width="80%" height="100%" align="center" class="main">
<tr><td colspan="3" class="header" height="150"><table width="1000" height="100%"><tr align="center"><td align="center">&nbsp;</td></tr></table></td></tr>
	<tr valign="top"><td class="block1">s<? echo $menu; ?></
			<td class="block2"><? echo $zareg;echo $content; ?></td>
					<td class="block3"><table width="100%" cellspacing="0" cellpadding="0"><tr align="center"><td><div class="frame_top"><b><? echo $user; ?></b></div></td></tr><tr align="center"><td><div class="frame_main"><? echo $umenu; ?></td></tr></table></td></tr></table>

class="block1" - left block
class="block2" - center block
class="block3" - right block
class="header" - header works correctly, but it could be one of reasons of the trouble.

CSS:
.block1 {
	border: 1px solid black;
	width:15%;
}
.block2 {
	border: 1px solid black;
	width:50%;
}
.block3 {
	border: 1px solid black;
	width:15%;
}
.header {
	background-image: url('header2.jpg'); 
	border: 1px solid black;
	width:80%;
	background-repeat: no-repeat;
}


I attached screen how it looks in Safari and Google Chrome, and here http://img692.imageshack.us/img692/2519/othere.jpg how it looks in other browsers.
Comment 1 Julien Chaffraix 2011-11-18 15:01:45 PST
I think it may be another instance of nested tables with percent width / height not get a proper layout. See also 11645.
Comment 2 Julien Chaffraix 2011-11-18 15:02:43 PST
Created attachment 115882 [details]
Reduced test case, may be reduced more but it shows the problem
Comment 3 Julien Chaffraix 2011-11-19 18:14:42 PST
Created attachment 115968 [details]
WIP: Fixes the bug, missing some expectations update or rebaseline and the test case.
Comment 4 Julien Chaffraix 2011-11-28 10:54:54 PST
Created attachment 116782 [details]
WIP2: Now skipping properly and with the test case, missing baseline.
Comment 5 Julien Chaffraix 2011-11-28 10:55:35 PST
Comment on attachment 116782 [details]
WIP2: Now skipping properly and with the test case, missing baseline.

It was not meant for review.
Comment 6 WebKit Review Bot 2011-11-28 11:25:27 PST
Comment on attachment 116782 [details]
WIP2: Now skipping properly and with the test case, missing baseline.

Attachment 116782 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10641536

New failing tests:
tables/mozilla/bugs/bug2947.html
tables/mozilla/bugs/bug14929.html
fast/table/027-vertical.html
tables/mozilla_expected_failures/core/conflicts.html
fast/table/027.html
Comment 7 Julien Chaffraix 2011-11-28 11:56:35 PST
Created attachment 116796 [details]
Proposed change 1: code change + test case modified for DRT
Comment 8 WebKit Review Bot 2011-11-28 12:36:10 PST
Comment on attachment 116796 [details]
Proposed change 1: code change + test case modified for DRT

Attachment 116796 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10679315

New failing tests:
tables/mozilla/bugs/bug2947.html
tables/mozilla/bugs/bug14929.html
tables/mozilla_expected_failures/core/conflicts.html
Comment 9 Julien Chaffraix 2011-11-28 15:10:29 PST
Created attachment 116836 [details]
Proposed change 2: Update Chromium Linux baseline (did not do that properly).
Comment 10 Dave Hyatt 2011-11-30 11:18:35 PST
Comment on attachment 116836 [details]
Proposed change 2: Update Chromium Linux baseline (did not do that properly).

r=me
Comment 11 Julien Chaffraix 2011-12-05 12:51:01 PST
Created attachment 117926 [details]
Patch for landing
Comment 12 WebKit Review Bot 2011-12-05 13:39:16 PST
Comment on attachment 117926 [details]
Patch for landing

Clearing flags on attachment: 117926

Committed r102040: <http://trac.webkit.org/changeset/102040>
Comment 13 WebKit Review Bot 2011-12-05 13:39:28 PST
All reviewed patches have been landed.  Closing bug.